%define language br-FR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Breton
%define name mozilla-firefox-%{locale}
%define version 1.0.6
%define release 1mdk
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version 1.0.4
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %language.xpi
License: GPL
Group: Networking/WWW
# source was build from a hand written install.rdf and br-FR.jar from:
Url: http://www.drouizig.org/Pellgargan/Meziantou/firefox-1.0.4.br-FR.win32.zip
BuildRoot: %{_buildroot}
BuildRequires: mozilla-firefox
Requires(pre): mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp %language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/rc.d/
cat << EOF > %buildroot%{mozillalibdir}/chrome/rc.d/10_%name.txt
locale,install,url,jar:resource:/chrome/embed-sample.jar!/locale/%language/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/inspector/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pipnss/
locale,install,url,jar:resource:/chrome/%{language}.jar!/locale/help/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/autoconfig/
locale,install,url,jar:resource:/chrome/inspector.jar!/locale/%language/inspector/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/browser/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/browser-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/cookie/
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/chrome/%language.jar
%_libdir/mozilla-firefox-%{firefox_version}/chrome/rc.d/10_%name.txt

%post
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%postun
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%changelog
* Sun Jul 31 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.6-1mdk
- new release

* Tue Jun 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release
- make it work
- run db rebuild script only when it exists

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Tue Mar 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- initial release
